Imports Microsoft.VisualBasic
Imports System
Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Markup


Namespace DynamicSilver
	Partial Public Class Page
		Inherits UserControl
		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub Button1_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim client As New WebClient()
			AddHandler client.DownloadStringCompleted, AddressOf client_DownloadStringCompleted
			client.DownloadStringAsync(New Uri("/DynamicSilver_Web/xaml.ashx", UriKind.Relative))
			' No references allowed in the XAML (i.e., styles, binding)
			'client.DownloadStringAsync(new Uri("/DynamicSilver_Web/sample.xaml", UriKind.Relative));
		End Sub

		Private Sub client_DownloadStringCompleted(ByVal sender As Object, ByVal e As DownloadStringCompletedEventArgs)
			' Parse XAML to a UI element 
			Dim xaml As String = e.Result
			Dim dom As UIElement = TryCast(XamlReader.Load(xaml), UIElement)

			' Append to the DOM
			Placeholder.Children.Clear()
			Placeholder.Children.Add(dom)
		End Sub
	End Class
End Namespace
