<%@ WebHandler Language="VB" Class="XamlGenHandler" %>

Imports System
Imports System.Web


Public Class XamlGenHandler
	Implements IHttpHandler
	Public Sub ProcessRequest(ByVal context As HttpContext) Implements IHttpHandler.ProcessRequest
		' Prevent caching of the response
		context.Response.Expires = -1

		' Set the type of the data we're returning
		context.Response.ContentType = "text/xaml"

		' Grab some XAML and return it down the wire
		context.Response.Write("<Canvas xmlns='http://schemas.microsoft.com/client/2007' " & "xmlns:x='http://schemas.microsoft.com/winfx/2006/xaml'>" & "<TextBlock Foreground='black' Padding='10' FontSize='20'><Run>XAML content</Run><LineBreak/>" & "<Run>[generated " & DateTime.Now.ToLongTimeString() & "]</Run>" & "</TextBlock></Canvas>")
	End Sub



	Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
		Get
			Return True
		End Get
	End Property

End Class